Page MenuHomePhabricator

[VE] Update logical operation instructions
ClosedPublic

Authored by kaz7 on Apr 14 2020, 6:40 PM.

Details

Summary

Changing all mnemonic to match assembly instructions to simplify mnemonic
naming rules. This time update all fixed-point arithmetic instructions.
This also corrects bswp operand type.

Depends on D77856.

Diff Detail

Event Timeline

kaz7 created this revision.Apr 14 2020, 6:40 PM

I am not knowledgeable enough to review the use of MnemonicAlias here but everything else LGTM.

llvm/lib/Target/VE/VEInstrInfo.td
900

First time i am seeing this feature. Do we need this to match mnemonic aliases when parsing assembly?

kaz7 marked an inline comment as done.Apr 15 2020, 1:15 AM
kaz7 added inline comments.
llvm/lib/Target/VE/VEInstrInfo.td
900

Yes. With this MenmonicAlias, llvm-mc can parse "cmov.l" as a shorten "cmov.l.at" instruction. NEC assembler allows both of them, so we also allow them to maximize user's choices.

May I defer these to coming llvm-mc patch sets?

simoll added inline comments.Apr 15 2020, 2:36 AM
llvm/lib/Target/VE/VEInstrInfo.td
900

May I defer these to coming llvm-mc patch sets?

I guess so. It sounds like we won't need MnemonicAliases before we have MC layer support (and probably couldn't test it right now).

kaz7 updated this revision to Diff 257895.Apr 15 2020, 4:46 PM

Remove mnemonic aliases.

kaz7 marked an inline comment as done.Apr 15 2020, 4:47 PM
kaz7 added inline comments.
llvm/lib/Target/VE/VEInstrInfo.td
900

That's true, we cannot test it right now. I removed them. Thanks.

simoll accepted this revision.Apr 16 2020, 12:06 AM

LGTM

This revision is now accepted and ready to land.Apr 16 2020, 12:06 AM

Please rebase this onto master so it can be committed.

kaz7 updated this revision to Diff 257983.Apr 16 2020, 1:12 AM

Rebased to the latest master. Passed check-llvm.

This revision was automatically updated to reflect the committed changes.